Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.crypto.decrypt
Interface DataUnsealerBuilder.SigningPolicyStep

All Known Subinterfaces:
  DataUnsealerBuilder.OCSPPolicyStep

Enclosing class:
  DataUnsealerBuilder

    public static interface DataUnsealerBuilder.SigningPolicyStep

Second step: Choose the signing policies that you want to accept. You will also need to provide a `KeyStore` with certificate that you trust. There are two possible signing policies:

- `SigningPolicy.EHEALTH_CERT`: This policy is used to sign the message with an eHealth certificate
- `SigningPolicy.EID`: This policy is used to sign the message with a Belgian eID-card

Method Summary
`DataUnsealerBuilder.PublicKeyPolicyStep` | `addSigningPolicy(java.security.KeyStore keyStore, java.util.Map<SigningOption,java.lang.Object> signingOptions, SigningPolicy... signingPolicies)` Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you wich to accept
`DataUnsealerBuilder.PublicKeyPolicyStep` | `addSigningPolicy(java.security.KeyStore keyStore, SigningPolicy... signingPolicies)` Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you wich to accept
`DataUnsealerBuilder.PublicKeyPolicyStep` | `addSigningPolicy(SigningPolicy... signingPolicies)` Configure the accepted signing policies by giving a dynamic list of signing policies that you wich to accept

Method Detail

### addSigningPolicy

    DataUnsealerBuilder.PublicKeyPolicyStep addSigningPolicy(SigningPolicy... signingPolicies)

  Configure the accepted signing policies by giving a dynamic list of signing policies that you wich to accept

### addSigningPolicy

    DataUnsealerBuilder.PublicKeyPolicyStep addSigningPolicy(java.security.KeyStore keyStore,
                                                             SigningPolicy... signingPolicies)

  Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you wich to accept

### addSigningPolicy

    DataUnsealerBuilder.PublicKeyPolicyStep addSigningPolicy(java.security.KeyStore keyStore,
                                                             java.util.Map<SigningOption,java.lang.Object> signingOptions,
                                                             SigningPolicy... signingPolicies)

  Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you wich to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2019 eHealth. All Rights Reserved.